Loading...
Searching...
No Matches
utils.h File Reference
SPA » Device

spa/monitor/utils.h More...

Go to the source code of this file.

## Data Structures

struct | spa_result_device_params_data

## Macros

#define | SPA_API_DEVICE_UTILS static inline
#define | spa_device_emit(hooks, method, version, ...)
#define | spa_device_emit_info(hooks, i)
#define | spa_device_emit_result(hooks, s, r, t, res)
#define | spa_device_emit_event(hooks, e)
#define | spa_device_emit_object_info(hooks, id, i)

## Functions

SPA_API_DEVICE_UTILS void | spa_result_func_device_params (void *data, int seq, int res 1, uint32_t type, const void *result)
SPA_API_DEVICE_UTILS int | spa_device_enum_params_sync (struct spa_device *device, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)

## Detailed Description

spa/monitor/utils.h

## Macro Definition Documentation

## SPA_API_DEVICE_UTILS

#define SPA_API_DEVICE_UTILS static inline